import ctypes 
import tisgrabber as tis

#tisgrabber_x64.dllをインポートする
ic = ctypes.cdll.LoadLibrary("./tisgrabber_x64.dll")
tis.declareFunctions(ic)

#ICImagingControlクラスライブラリを初期化します。
#この関数は、このライブラリの他の関数が呼び出される前に1回だけ呼び出す必要があります。
ic.IC_InitLibrary(0)

#ダイアログ画面を表示
hGrabber = tis.openDevice(ic)

#デバイスが有効か確認
if(ic.IC_IsDevValid(hGrabber)):
    #ライブスタート開始　引数：0の時非表示、引数：1の時表示
    #ライブ画面は非表示にしています。
    ic.IC_StartLive(hGrabber, 0)
    key = ""
    while key != "q":
        print("sキー: 画像を保存")
        print("qキー: プログラム終了")
        key = input('sキーかqキーを押下してください。:')
        if key == "s":
            #2秒間フレームが送られてくるのを待つ
            if ic.IC_SnapImage(hGrabber, 2000) == tis.IC_SUCCESS:
                #test.jpgで保存
                ic.IC_SaveImage(hGrabber, tis.T("test.jpg"),
                                tis.ImageFileTypes['JPEG'], 90)
                print("保存しました。")
            else:
                print("2秒間フレームが送られてきませんでした。")

    ic.IC_StopLive(hGrabber)
else:
    ic.IC_MsgBox(tis.T("No device opened"), tis.T("Simple Live Video"))

ic.IC_ReleaseGrabber(hGrabber)
